Loading...
Searching...
No Matches
pcl::tracking::_ParticleXYRP Struct Reference

`#include <pcl/tracking/impl/tracking.hpp>`

Inheritance diagram for pcl::tracking::_ParticleXYRP:

## Public Attributes

union { |
struct { |
float roll |
float pitch |
float yaw |
float weight |
} |
float data_c [4] |
}; |

## Detailed Description

Definition at line 612 of file tracking.hpp.

## Member Data Documentation

## [union]

PCL_ADD_POINT4D union { ... } pcl::tracking::_ParticleXYRP

## data_c

float pcl::tracking::_ParticleXYRP::data_c[4]

Definition at line 621 of file tracking.hpp.

## pitch

float pcl::tracking::_ParticleXYRP::pitch

Definition at line 617 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), pcl::tracking::ParticleXYRP::operator[](), pcl::tracking::ParticleXYRP::ParticleXYRP(), pcl::tracking::ParticleXYRP::ParticleXYRP(), pcl::tracking::ParticleXYRP::ParticleXYRP(), pcl::tracking::ParticleXYRP::sample(), pcl::tracking::ParticleXYRP::toEigenMatrix(), pcl::tracking::ParticleXYRP::weightedAverage(), and pcl::tracking::ParticleXYRP::zero().

## roll

float pcl::tracking::_ParticleXYRP::roll

Definition at line 616 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), pcl::tracking::ParticleXYRP::operator[](), pcl::tracking::ParticleXYRP::ParticleXYRP(), pcl::tracking::ParticleXYRP::ParticleXYRP(), pcl::tracking::ParticleXYRP::ParticleXYRP(), pcl::tracking::ParticleXYRP::sample(), pcl::tracking::ParticleXYRP::toEigenMatrix(), pcl::tracking::ParticleXYRP::weightedAverage(), and pcl::tracking::ParticleXYRP::zero().

## weight

float pcl::tracking::_ParticleXYRP::weight

Definition at line 619 of file tracking.hpp.

Referenced by pcl::tracking::ParticleXYRP::weightedAverage().

## yaw

float pcl::tracking::_ParticleXYRP::yaw

Definition at line 618 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), pcl::tracking::operator<<(), pcl::tracking::ParticleXYRP::operator[](), pcl::tracking::ParticleXYRP::ParticleXYRP(), pcl::tracking::ParticleXYRP::ParticleXYRP(), pcl::tracking::ParticleXYRP::ParticleXYRP(), pcl::tracking::ParticleXYRP::sample(), pcl::tracking::ParticleXYRP::toEigenMatrix(), pcl::tracking::ParticleXYRP::weightedAverage(), and pcl::tracking::ParticleXYRP::zero().

The documentation for this struct was generated from the following file:

- pcl/tracking/impl/tracking.hpp